// creator  : weidu.exe (version 23100)
// argument : CAEDMO.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~CAEDMO~

IF ~True()
~ THEN BEGIN 0 // from:
  SAY #10648 /* ~What are you and what is your purpose?~ */
  IF ~~ THEN REPLY #10650 /* ~I have cleaned the sewage chambers and fed your guardian. Do you wish me to open the doors to the pit and begin my duties again?~ */ GOTO 1
  IF ~~ THEN REPLY #10651 /* ~I am not permitted to speak of him. If it is not time to perform my duties, I must return to my rest.~ */ GOTO 4
  IF ~~ THEN REPLY #10652 /* ~Undead Beholder~ */ GOTO 6
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #10653 /* ~Death Tyrant~ */
  IF ~~ THEN REPLY #10654 /* ~I am a servant born of the Master's magic. He has designed me to clean the sewers and feed the guardian.~ */ GOTO 2
  IF ~~ THEN REPLY #10656 /* ~Who is your master?~ */ GOTO 3
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #10655 /* ~What is the guardian?~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 3 // from: 4.1 1.1
  SAY #10657 /* ~I do wish it. Open the doors and perform your duties.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 4 // from: 0.1
  SAY #10658 /* ~I am not actually your master but I would like to know who he is.~ */
  IF ~~ THEN REPLY #10659 /* ~Not at present. Just stay where you are and I will tell you when you are to perform your duties.~ */ GOTO 5
  IF ~~ THEN REPLY #10660 /* ~Is that all that you can do?~ */ GOTO 3
END

IF ~~ THEN BEGIN 5 // from: 4.0
  SAY #10661 /* ~As you will, master. I shall return to my rest.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 6 // from: 0.2
  SAY #10662 /* ~You have not activated my movement functions. You must use the activation stone.~ */
  IF ~~ THEN REPLY #10663 /* ~I seem to have misplaced the stone. Do you know where it is, my servant?~ */ GOTO 7
  IF ~~ THEN REPLY #10664 /* ~It is all that you have ensorcelled me to do.~ */ GOTO 8
END

IF ~~ THEN BEGIN 7 // from: 6.0
  SAY #10665 /* ~Very well. Open the doors and begin your work.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 8 // from: 6.1
  SAY #10666 /* ~I am not actually your master but I would like to know who he is.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END
